Winevt.EVT_SYSTEM_PROPERTY_ID (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Winevt, interface: EVT_SYSTEM_PROPERTY_ID

Package com.sun.jna.platform.win32

# Interface Winevt.EVT_SYSTEM_PROPERTY_ID

Enclosing interface:
  Winevt

public static interface Winevt.EVT_SYSTEM_PROPERTY_ID
Defines the identifiers that identify the system-specific properties of an event. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385606(v=vs.85).aspx

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EvtSystemActivityID`
  Identifies the ActivityID attribute of the Correlation element.
  `static final int`
  `EvtSystemChannel`
  Identifies the Channel element.
  `static final int`
  `EvtSystemComputer`
  Identifies the Computer element.
  `static final int`
  `EvtSystemEventID`
  Identifies the EventID element.
  `static final int`
  `EvtSystemEventRecordId`
  Identifies the EventRecordID element.
  `static final int`
  `EvtSystemKeywords`
  Identifies the Keywords element.
  `static final int`
  `EvtSystemLevel`
  Identifies the Level element.
  `static final int`
  `EvtSystemOpcode`
  Identifies the Opcode element.
  `static final int`
  `EvtSystemProcessID`
  Identifies the ProcessID attribute of the Execution element.
  `static final int`
  `EvtSystemPropertyIdEND`
  This enumeration value marks the end of the enumeration values.
  `static final int`
  `EvtSystemProviderGuid`
  Identifies the Guid attribute of the provider element.
  `static final int`
  `EvtSystemProviderName`
  Identifies the Name attribute of the provider element.
  `static final int`
  `EvtSystemQualifiers`
  Identifies the Qualifiers attribute of the EventID element.
  `static final int`
  `EvtSystemRelatedActivityID`
  Identifies the RelatedActivityID attribute of the Correlation element.
  `static final int`
  `EvtSystemTask`
  Identifies the Task element.
  `static final int`
  `EvtSystemThreadID`
  Identifies the ThreadID attribute of the Execution element.
  `static final int`
  `EvtSystemTimeCreated`
  Identifies the SystemTime attribute of the TimeCreated element.
  `static final int`
  `EvtSystemUserID`
  Identifies the UserID element.
  `static final int`
  `EvtSystemVersion`
  Identifies the Version element.

- ## Field Details

  - ### EvtSystemProviderName

    static final int EvtSystemProviderName
    Identifies the Name attribute of the provider element. The variant type for this property is EvtVarTypeString.
    See Also:
      - Constant Field Values

  - ### EvtSystemProviderGuid

    static final int EvtSystemProviderGuid
    Identifies the Guid attribute of the provider element. The variant type for this property is EvtVarTypeGuid.
    See Also:
      - Constant Field Values

  - ### EvtSystemEventID

    static final int EvtSystemEventID
    Identifies the EventID element. The variant type for this property is EvtVarTypeUInt16.
    See Also:
      - Constant Field Values

  - ### EvtSystemQualifiers

    static final int EvtSystemQualifiers
    Identifies the Qualifiers attribute of the EventID element. The variant type for this property is EvtVarTypeUInt16.
    See Also:
      - Constant Field Values

  - ### EvtSystemLevel

    static final int EvtSystemLevel
    Identifies the Level element. The variant type for this property is EvtVarTypeUInt8.
    See Also:
      - Constant Field Values

  - ### EvtSystemTask

    static final int EvtSystemTask
    Identifies the Task element. The variant type for this property is EvtVarTypeUInt16.
    See Also:
      - Constant Field Values

  - ### EvtSystemOpcode

    static final int EvtSystemOpcode
    Identifies the Opcode element. The variant type for this property is EvtVarTypeUInt8.
    See Also:
      - Constant Field Values

  - ### EvtSystemKeywords

    static final int EvtSystemKeywords
    Identifies the Keywords element. The variant type for this property is EvtVarTypeInt64.
    See Also:
      - Constant Field Values

  - ### EvtSystemTimeCreated

    static final int EvtSystemTimeCreated
    Identifies the SystemTime attribute of the TimeCreated element. The variant type for this property is EvtVarTypeFileTime.
    See Also:
      - Constant Field Values

  - ### EvtSystemEventRecordId

    static final int EvtSystemEventRecordId
    Identifies the EventRecordID element. The variant type for this property is EvtVarTypeUInt64.
    See Also:
      - Constant Field Values

  - ### EvtSystemActivityID

    static final int EvtSystemActivityID
    Identifies the ActivityID attribute of the Correlation element. The variant type for this property is EvtVarTypeGuid.
    See Also:
      - Constant Field Values

  - ### EvtSystemRelatedActivityID

    static final int EvtSystemRelatedActivityID
    Identifies the RelatedActivityID attribute of the Correlation element. The variant type for this property is EvtVarTypeGuid.
    See Also:
      - Constant Field Values

  - ### EvtSystemProcessID

    static final int EvtSystemProcessID
    Identifies the ProcessID attribute of the Execution element. The variant type for this property is EvtVarTypeUInt32.
    See Also:
      - Constant Field Values

  - ### EvtSystemThreadID

    static final int EvtSystemThreadID
    Identifies the ThreadID attribute of the Execution element. The variant type for this property is EvtVarTypeUInt32.
    See Also:
      - Constant Field Values

  - ### EvtSystemChannel

    static final int EvtSystemChannel
    Identifies the Channel element. The variant type for this property is EvtVarTypeString.
    See Also:
      - Constant Field Values

  - ### EvtSystemComputer

    static final int EvtSystemComputer
    Identifies the Computer element. The variant type for this property is EvtVarTypeString.
    See Also:
      - Constant Field Values

  - ### EvtSystemUserID

    static final int EvtSystemUserID
    Identifies the UserID element. The variant type for this property is EvtVarTypeSid.
    See Also:
      - Constant Field Values

  - ### EvtSystemVersion

    static final int EvtSystemVersion
    Identifies the Version element. The variant type for this property is EvtVarTypeUInt8.
    See Also:
      - Constant Field Values

  - ### EvtSystemPropertyIdEND

    static final int EvtSystemPropertyIdEND
    This enumeration value marks the end of the enumeration values.
    See Also:
      - Constant Field Values